"use strict";
const highlighter = require("./dist/highlighter");
let h;
exports.default = (options, ctx) => {
    return {
        async ready() {
            h = await highlighter.getHighlighter({
                theme: options.theme ? options.theme : "nord",
            });
        },
        chainMarkdown(config) {
            config.options.highlight((code, lang) => {
                if (!lang) {
                    return `<pre><code>${code}</code></pre>`;
                }
                return h.codeToHtml(code, lang);
            });
        },
    };
};
